function setButtonOnClick(id, onclick)
{
   if (onclick != null) {
       var elem = document.getElementById(id);
       if (elem != null) {
           elem.onclick = onclick;
       }
   }
}

function setButtonLink(id, link)
{
    if (link != null) {
	var elem = document.getElementById(id);
	if (elem != null) {
	    elem.href = link;
	}
    }
}

function setButtonText(id, text)
{
    if (text != null) {
	var elem = document.getElementById(id);
	if (elem != null) {
	    elem.innerHTML = text;
	}
    }
}

function setButtonDisplay(id, show)
{
    if (show != null) {
	if (show) {
		showElement(id);
	} else {
		hideElement(id);
	}
    }
}

function setUnderButtonR(show, text, link, onclick)
{
    setButtonLink("underlinkR", link);
    setButtonText("underwordR", text);
    setButtonOnClick("underimageR", onclick);
    setButtonDisplay("underButtonR", show);
}

function setUnderButtonL(show, text, link, onclick)
{
    setButtonLink("underlinkL", link);
    setButtonText("underwordL", text);
    setButtonOnClick("underimageL", onclick);
    setButtonDisplay("underButtonL", show);
}

function setUnderButton(show, text, link, onclick)
{
    setButtonLink("underlink", link);
    setButtonText("underword", text);
    setButtonOnClick("underimage", onclick);
    setButtonDisplay("underButton", show);
}

function disableWiiPointButton()
{
    if(document.getElementById("balanceInfo")) {
	document.getElementById("balanceInfo").onclick='';
	document.getElementById("balanceInfo").onmouseover='';
    }
}

function hideElement(element)
{
	var obj = document.getElementById(element);
	if(obj)
		obj.style.display='none';	
}

function showElement(element)
{
	var obj = document.getElementById(element);
	if(obj)
		obj.style.display='';
}

function hideTopHelpElements()
{
	var manual = document.getElementById("ManualImageID");
	var top = document.getElementById("TopImageID");
	
	if(manual) {
		manual.onclick = '';
		manual.onmouseover = '';
		manual.onmouseout = '';
	}
	
	if(top) {
		top.onclick='';
		top.onmouseover = '';
		top.onmouseout = '';
	}
}

function showTopHelpElements()
{
	var manual = document.getElementById("ManualImageID");
	var top = document.getElementById("TopImageID");
	
	if(manual) {
		manual.onclick = "showHelp(); wiiSelectSound();";
		manual.onmouseover = "MM_swapImage('ManualImage','','<c:out value=" + "${imagesPath}" + "/>/banner/help_b.gif',1); wiiFocusSound()";
		manual.onmouseout = "MM_swapImgRestore()";
	}
	
	if(top) {
		top.onclick="showHome(); wiiSelectSound();";
		top.onmouseover = "MM_swapImage('TopImage','','<c:out value=" + "${imagesPath}" + "/>/banner/top_b.gif',1); wiiFocusSound()";
		top.onmouseout = "MM_swapImgRestore()";
	}
}
